> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Change one model price

> Change the rate or the descriptive fields of a model price you have published. Send only the fields you want to change.
The fields that identify the price cannot be changed, because they describe a different SKU; delete the price and register a new one instead.



## OpenAPI

````yaml https://raw.githubusercontent.com/baselinehq/mintlify-docs/main/api-reference/openapi.json patch /v1/marketplace/models/{id}
openapi: 3.0.1
info:
  title: CostGraph Pricing API
  description: Provides API level access to the Costgraph Services.
  termsOfService: https://costgraph.ai/terms-of-use
  contact:
    name: Customer Support
    url: https://costgraph.ai/support
    email: support@costgraph.ai
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://pricing.baselinehq.cloud/
security: []
paths:
  /v1/marketplace/models/{id}:
    patch:
      tags:
        - marketplace
      summary: Change one model price
      description: >-
        Change the rate or the descriptive fields of a model price you have
        published. Send only the fields you want to change.

        The fields that identify the price cannot be changed, because they
        describe a different SKU; delete the price and register a new one
        instead.
      parameters:
        - name: id
          in: path
          description: Price id
          required: true
          schema:
            type: string
      requestBody:
        description: Fields to change
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
        required: true
      responses:
        '200':
          description: The changed price
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelPrice'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    ModelPrice:
      type: object
      properties:
        context_limit:
          type: integer
        currency:
          type: string
        effective_from:
          type: string
        effective_to:
          type: string
        fetched_at:
          type: string
        host:
          type: string
        id:
          type: string
        modalities_input:
          type: array
          items:
            type: string
        modalities_output:
          type: array
          items:
            type: string
        model:
          type: string
        model_id:
          type: string
        open_weights:
          type: boolean
        output_limit:
          type: integer
        provider:
          type: string
        publisher:
          type: string
        raw_pricing_data:
          $ref: '#/components/schemas/datatypes.JSON'
        reasoning:
          type: boolean
        region:
          type: string
        sku_price_id:
          type: string
        source:
          type: string
        source_url:
          type: string
        structured_output:
          type: boolean
        tags:
          $ref: '#/components/schemas/datatypes.JSON'
        token_bucket:
          type: string
        tool_call:
          type: boolean
        unit_price_per_mtok:
          type: number
    Problem:
      type: object
      properties:
        code:
          type: string
        detail:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/FieldError'
        instance:
          type: string
        status:
          type: integer
        title:
          type: string
        type:
          type: string
    datatypes.JSON:
      type: object
    FieldError:
      type: object
      properties:
        detail:
          type: string
        pointer:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key with "bl_" prefix (e.g. "bl_<api_key>")
      name: X-API-Key
      in: header
    BearerAuth:
      type: apiKey
      description: Bearer token for authentication (e.g. "Bearer <token>")
      name: Authorization
      in: header

````